Bug #1904

Samba web agent always warn for an expired password

Added by Anonymous almost 2 years ago. Updated over 1 year ago.

Status:Closed Start date:10/19/2012
Priority:Normal Due date:
Assignee:Jean-Philippe Braun % Done:

100%

Category:module-samba
Target version:MDS 2.5.0
Difficulty:
Duration:

Description

Tested version : MMC 3.0.5.1

Symptom : When editing the samba users i have always the following warning :

SAMBA properties : The password of this account has expired.

Infos:
  • defaultMaxPasswordAge was not set during setup with smbldap-populate
  • i have try to set manualy sambaAcctFlags from U to UX with no success

smbldap-usermod -H [UX] username

The UX flag was correctly set but have no effect on the mmc web console

  • i have try to change the default policy with pdbedit with no success

pdbedit -P "maximum password age" -C -1

-1 is normaly for 'never expire'

pdbedit -P "maximum password age" -C 0

as said in the mmc docs

In boths cases pdbedit -Lv correctly display 'never' for password expiration of new users

  • i have try to add shadowExpire = DELETE in /etc/mmc/plugins/samba.ini with no success
  • sambaPwdMustChange (and shadowExpire) where effectively deleted for new users

The corresponding users can join the domain with no problems and no password warnings

Associated revisions

Revision c9ffc4fa
Added by Jean-Philippe Braun over 1 year ago

samba: correctly test if sambaPwdMustChange > 0

Fixes #1904

Revision 8f9c7b4a
Added by Jean-Philippe Braun over 1 year ago

samba: correctly test if sambaMaxPwdAge > 0

Fixes #1904

History

Updated by Jean-Philippe Braun over 1 year ago

  • Status changed from New to Closed
  • % Done changed from 0 to 100

Updated by Jean-Philippe Braun over 1 year ago

  • Target version changed from MMC-CORE 4.0 to MDS 2.5.0

Also available in: Atom PDF